Removing and inserting table cells breaks diff
Closed, ResolvedPublic8 Story Points

Description

Remove the last column, then insert a new row in the middle (zxy):

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2017, 10:14 PM

After fixing T158769 this looks a little less broken:

But EFG on row 3 should be green for this to be technically correct, or better not duplicated at all.

Jdforrester-WMF triaged this task as Low priority.Feb 27 2017, 7:18 PM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.

Change 340656 had a related patch set uploaded (by Tchanders):
[VisualEditor/VisualEditor] Generalize DiffElement logic (improves lists and tables)

https://gerrit.wikimedia.org/r/340656

Change 340656 merged by jenkins-bot:
[VisualEditor/VisualEditor] Generalize DiffElement logic (improves lists and tables)

https://gerrit.wikimedia.org/r/340656

Change 342651 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (bc6417ba5)

https://gerrit.wikimedia.org/r/342651

Jdforrester-WMF closed this task as Resolved.Mar 14 2017, 8:13 PM
Jdforrester-WMF assigned this task to Tchanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 14 2017, 8:13 PM

Change 342651 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (41134af2b)

https://gerrit.wikimedia.org/r/342651